JavaScript/jQuery RangeSlider - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the RangeSlider features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The RangeSlider component meets a variety of Section 508 and WCAG 2.x compliance standards. Known exceptions:

Section 508 criteria WCAG 2.x criteria Exception description
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
1.4.3 Contrast (Minimum) (Level AA)
1.4.11 Non-text Contrast (Level AA 2.1 and 2.2)
RangeSlider does not support Windows High Contrast themes.

Keyboard Navigation

A user can use the following keys to interact with the RangeSlider component:

Key Action
← / → Decreases/increases the value of the focused handle by a step.
Page Up / Page Down Decreases/increases the value of the focused handle by a keyStep.
Home / End Sets the focused handle to the minimum/maximum value or to the value of the other handle.
Tab / Shift + Tab Switches between the handles.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

JavaScript
  • function registerKeyHandlers () {
  • const rangeSlider = $("#rangeSliderContainer").dxRangeSlider("instance");
  • rangeSlider.registerKeyHandler("backspace", function(e) {
  • // The argument "e" contains information on the event
  • });
  • rangeSlider.registerKeyHandler("space", function(e) {
  • // ...
  • });
  • }

Screen Reader Support

The RangeSlider component supports screen readers and complies to WAI-ARIA standards.

React RangeSlider - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the RangeSlider features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The RangeSlider component meets a variety of Section 508 and WCAG 2.x compliance standards. Known exceptions:

Section 508 criteria WCAG 2.x criteria Exception description
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
1.4.3 Contrast (Minimum) (Level AA)
1.4.11 Non-text Contrast (Level AA 2.1 and 2.2)
RangeSlider does not support Windows High Contrast themes.

Keyboard Navigation

A user can use the following keys to interact with the RangeSlider component:

Key Action
← / → Decreases/increases the value of the focused handle by a step.
Page Up / Page Down Decreases/increases the value of the focused handle by a keyStep.
Home / End Sets the focused handle to the minimum/maximum value or to the value of the other handle.
Tab / Shift + Tab Switches between the handles.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { RangeSlider } from 'devextreme-react/range-slider';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.rangeSliderRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <RangeSlider ref={this.rangeSliderRef} />
  • );
  • }
  •  
  • get rangeSlider() {
  • return this.rangeSliderRef.current.instance();
  • }
  •  
  • componentDidMount() {
  • this.rangeSlider.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.rangeSlider.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;

Screen Reader Support

The RangeSlider component supports screen readers and complies to WAI-ARIA standards.